/*
 *--- Colorer.h --------------------------------------------------------
 * Copyright (c) 1995, Adobe Systems, Inc.  All rights reserved.
 *----------------------------------------------------------------------
 */

#ifndef COLORER_H
#define COLORER_H

#include <stdio.h>
//#include <CodeFragments.h>
//#include <dialogs.h>
//#include <controls.h>

#define dialogID 128
#define okButton 1
#define cancelButton 2
#define rectanglesButton 6
#define ovalsButton 7
#define linesButton 8
#define allButton 9
#define currentButton 10
#define rangesButton 11
#define rangesEdit 12
#define colorEdit 13

#define MenuID 10000

#define MAXEDITSTRING 			20 // the edit box need only hold a few chars (like "325 - 407")

// Format of the plug-in's Data portion of the parameter block
// It is used to store the user's dialog selections between successive calls
typedef struct
{
	PMBool doRectangles;
	PMBool doOvals;
	PMBool doLines;
	short radioChoice;
	char rangeText[MAXEDITSTRING];
	char colorText[MAXEDITSTRING];
} sColorerData, *sColorDataPtr, **sColorDataHdl;


#ifdef __cplusplus
extern "C" {
#endif

extern short DoDialog(sPMParamBlockPtr thePB);

void 	SetData(sPMParamBlockPtr thePB, PMBool doRectangles, PMBool doOvals, PMBool doLines, short radioChoice, char *rangeString, char *colorString);
PMBool 	GetData(sPMParamBlockPtr thePB, PMBool *doRectangles, PMBool *doOvals, PMBool *doLines, short *radioChoice, char *rangeString, char *colorString);
PMBool 	GetDefaults(sPMParamBlockPtr thePB, PMBool *doRectangles, PMBool *doOvals, PMBool *doLines, short *radioChoice, char *rangeString, char *colorString);
PMBool 	ParsePages(sPMParamBlockPtr thePB, short *first, short *last, char *rangeString);
	
#ifdef __cplusplus
}
#endif

#endif // COLORER_H
