/*
 *--- ColorerPlugin.h --------------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 *----------------------------------------------------------------------
 */

#ifndef __ColorerPlugin__
#define __ColorerPlugin__

#include "PPluginCall.h"

// Format of the plug-in's Data portion of the parameter block
// It is used to store the user's dialog selections between successive calls
const short MAXEDITSTRING = 20; // the edit box need only hold a few chars.

typedef enum
{
	choiceAllPages=9,
	choiceCurrentPage,
	choicePageRange
} ePageChoice;

class UColorerData
{
public:

	UColorerData();
	virtual ~UColorerData() {}

	PMBool		doRectangles;
	PMBool		doOvals;
	PMBool		doLines;
	ePageChoice	radioChoice;
	short		firstPage;
	short		lastPage;
	char		rangeText[MAXEDITSTRING];
	char		colorText[MAXEDITSTRING];

private:
	
	UColorerData(UColorerData&);
	UColorerData& operator=(const UColorerData&);
};

class ColorerPlugin : public PPluginCall
{

public:

	ColorerPlugin();
	virtual ~ColorerPlugin() {}

	// Override these methods.
	virtual void	DoLoad();
	virtual void	DoInvoke();
	virtual void	DoUnload();
	virtual void	DoCleanup();
	virtual void	DoShutdown();

	// These two are methods called from the dialog object.
	PMBool 			ParsePages(UColorerData &colorData);
	void			ColorObjects();

private:

	void 			ConvertParameters(UColorerData &colorData, const PMBool bDoubleSided);
};

#endif // __ColorerPlugin__
