/************************************************************************************
 *	hcmdefs.h
 *		This file contains definitions for the HyperContentManager.
 *	
 *	Copyright:	(c) 1996 by Adobe Systems Inc., all rights reserved.
 *
 * $Revision:   1.2  $
 *
 *
 *
 ************************************************************************************/



#if !defined( HCMDEFS_H )
	#define HCMDEFS_H
	


	/************************************************************************************
							Public Pre-processor definitions
	************************************************************************************/
		//
		// this gets defined for WINDOWS because we are storing information in a 
		//	big-endian format (Macintosh-native).
		//
	#if defined( WINDOWS )
		#define NEEDTOBYTESWAP
	#endif /* WINDOWS */
	


	/************************************************************************************
									Name constants
	************************************************************************************/
		//
		// HyperContent strings
		//
	#define kHcmHyperContentStorageName		"HyperContent"

		// 
		// Panel data strings
		//
	#define kHcmPanelDataStreamName			"PanelData"
	
		//
		// Extras store strings
		//
	#define kHcmExtraInfoStorageName		"ExtraInfo"
	
		//
		// Reserved client content-type strings
		//
	#define kHcmContentTypeHtmlData  "HTML DATA"
	#define kHcmContentTypePdfMark  "PDFMark"
	


	/************************************************************************************
									Misc. definitions
	************************************************************************************/
		// 
		// what the maximum size of a URL string is.
		//
	#define kHcmMaxUrlSize				( 2048 * sizeof( char ) )
	
		//
		// this is the max width that a display name can be
		//
	#define kHcmMaxDisplayNameWidth		( kHcmMaxUrlSize + sizeof( unsigned int ) )
	
		//
		// this is the version we're defining
		//
	#define kHcmCurrentVersion			0
	
		//
		// special 4-char string, really means 8/27/94
		//
	#define kHcmSpecialType				'ched'
	


	/************************************************************************************
									Resource constants
	************************************************************************************/



#endif /* HCMDEFS_H */
