/**[f******************************************************************
 * cqparblk.h -	
 *
 * Copyright:  1990, 1991 Aldus, Corp., all rights reserved
 *
 * ABSTRACT:  
 *	Contains declarations for Addition Paramter blocks.
 *
 *__________________________________.
 * $Revision:   1.0  $				|
 * $Author:   edmundl  $				|
 * $Date:   14 Jun 1996 14:37:56  $	|
 *									|
 ***f]******************************************************************/

#ifndef _CQPARBLK
#define _CQPARBLK


	/*  ----------- Include Files ------------------ */
#if !defined(_ALDTYPES)
#include "oldtypes.h"
#endif
/* This should be replaced.
#if !defined(_ALDUTILS)
#include "aldutils.h"
#endif

#if !defined(_CQRSTYLE)
#include "cqrstyle.h"
#endif

#if !defined(_CQUNITS)
#include "cqunits.h"
#endif

#if !defined(_ALDADDN)
#include "aldaddn.h"
#endif	  */


	/*  ----------- Defines ------------------------ */
	#define ALDUS_VERS			0x0200

	/*  ----------- ROM Globals -------------------- */
	/*  ----------- Macro Definitions -------------- */
	/*  ----------- Type Definitions --------------- */

	typedef WORD 	ADNOPCODE;			// -- oc -- 
	typedef DWORD	ADNPROPERTIES;		// -- apr -- 
	typedef short	BOOL16;				//Boolean types in additions should always be 16bits
										//regardless on what platform they run under.	


	/*  ----------- Macro Definitions -------------- */



		//---------------------------------------------------------
		//	The following are component macros.  They can be used
		//	individually, but are primarily used by the compound
		//	macros at the end of this section.
		//
		//	The following set individual fields in the parameter block:
		//---------------------------------------------------------
	#define PBGetOpCode(lpPB)				((LPPARAMBLOCK)lpPB)->opCode
	#define PBSetOpCode(lpPB, op)			((LPPARAMBLOCK)lpPB)->opCode = op
	#define PBGetID(lpPB)					((LPPARAMBLOCK)lpPB)->subCode
	#define PBSetID(lpPB,dw)				((LPPARAMBLOCK)lpPB)->subCode = ((DWORD)dw)
	#define PBGetHPrivate(lpPB)				((LPPARAMBLOCK)lpPB)->pluginData
	#define PBSetHPrivate(lpPB,h)			((LPPARAMBLOCK)lpPB)->pluginData = ((HANDLE)h)
	#define PBGetErrMessage(lpPB)			((LPPARAMBLOCK)lpPB)->errMessage
	#define PBSetErrMessage(lpPB,hMsg)		((LPPARAMBLOCK)lpPB)->errMessage = ((HANDLE)hMsg)
	
	#define PBGetRequestData(lpPB)			((LPPARAMBLOCK)lpPB)->requestData
	#define PBSetRequestData(lpPB, lpD)		((LPPARAMBLOCK)lpPB)->requestData = ((LPVOID)(lpD))
	#define PBGetRequestRefStyle(lpPB)		(WORD)(((LPPARAMBLOCK)lpPB)->requestStyle)
	#define PBSetRequestRefStyle(lpPB,sy)	((LPPARAMBLOCK)lpPB)->requestStyle = ((WORD)sy)
	#define PBGetRequestDataSize(lpPB)		((LPPARAMBLOCK)lpPB)->requestSize
	#define PBSetRequestDataSize(lpPB,sz)	((LPPARAMBLOCK)lpPB)->requestSize = (DWORD)(sz)
	
	#define PBGetReplyData(lpPB)			((LPPARAMBLOCK)lpPB)->replyData
	#define PBSetReplyData(lpPB, lpD)		((LPPARAMBLOCK)lpPB)->replyData = ((LPVOID)(lpD))
	#define PBGetReplyRefStyle(lpPB)		(WORD)(((LPPARAMBLOCK)lpPB)->replyStyle)
	#define PBSetReplyRefStyle(lpPB,sy)		((LPPARAMBLOCK)lpPB)->replyStyle = ((WORD)sy)
	#define PBGetReplyDataSize(lpPB)		((LPPARAMBLOCK)lpPB)->replySize
	#define PBSetReplyDataSize(lpPB,sz)		((LPPARAMBLOCK)lpPB)->replySize = (DWORD)(sz)
	
	
	
		//---------------------------------------------------------
		//	The following set the units used for request and 
		//	query reply results for text format commands and queries.
		//	For Binary commands and queries, all measurements are
		//	assumed to be in Twips.  
		//
		//	PageMaker's Twip is 1/20th of a PostScript Point.
		//
		//	Units must be set manually prior to sending any Text
		//	commands or queries.  If you work with only one set of
		//	units, this need only be done once per invocation.
		//---------------------------------------------------------
	#define PBGetRequestUnits(lpPB)			((LPPARAMBLOCK)lpPB)->requestUnits
	#define PBSetRequestUnits(lpPB, u)		((LPPARAMBLOCK)lpPB)->requestUnits = (u)
	#define PBGetReplyUnits(lpPB)			((LPPARAMBLOCK)lpPB)->replyUnits
	#define PBSetReplyUnits(lpPB, u)		((LPPARAMBLOCK)lpPB)->replyUnits = (u)

		//---------------------------------------------------------
		//	This macro calls PageMaker once a Parameter block has 
		//	been properly filled out.  It is performed as part of 
		//	the macros that issue Text and Binary commands and queries 
		//	later in this section.  You will probably not need to use it
		//	directly.
		//---------------------------------------------------------
	#define PBCallback(lpPB)				((RC)(lpPB->pmCallback(lpPB)))

		//---------------------------------------------------------
		//	The following macros set an entire ARGBLOCK in the
		//	PARAMBLOCK.  Currently, fields are automatically cleared
		//	in the Reply Block prior to issuing a Command.
		//
		//	You should not plan on keeping results in the Reply Block
		//	across calls to PageMaker as this will be enforced in
		//	the future.
		//---------------------------------------------------------
	#define PBSetRequestBlock(lpPB,rs,pv,sz)	(void)(PBSetRequestRefStyle(lpPB,rs), 	\
													PBSetRequestData(lpPB,pv),			\
													PBSetRequestDataSize(lpPB,sz))
	#define PBClearRequestBlock(lpPB)			PBSetRequestBlock(lpPB,NULL,NULL,NULL)
	
	#define PBSetReplyBlock(lpPB,rs,pv,sz)		(void)(PBSetReplyRefStyle(lpPB,rs), 		\
													PBSetReplyData(lpPB,pv),			\
													PBSetReplyDataSize(lpPB,sz))
	#define PBClearReplyBlock(lpPB)				PBSetReplyBlock(lpPB,NULL,NULL,NULL)


		
#endif //_CQPARAMBLK		
		
