/* AdnPatch.h */
#include "PMCQErrs.h"

/* A name patch between old Addition op-codes and current names (aldaddn.h) */
#define kAdnNullOperation kPMNullOperation
#define kAdnLoad kPMLoad
#define kAdnUnload kPMUnload
#define kAdnRegister kPMRegister
#define kAdnCleanup kPMCleanup
#define kAdnShutdown kPMShutdown
#define kAdnInvoke kPMInvoke
#define kNullOperation kAdnNullOperation
#define kLoad kAdnLoad
#define kUnload kAdnUnload
#define kRegister kAdnRegister
#define kCleanup kAdnCleanup
#define kShutdown kAdnShutdown
#define kInvoke kAdnInvoke

/* A name patch between old Addition styles and current names (cqrstyle.h) */
#define kRFBinary kXRFBinary
#define kRFText kXRFText
#define kRSNull kXRSNull
#define kRSPointer kXRSPointer
#define kRSHandle kXRSHandle
#define kRSFile kXRSFile
#define kRSValue kXRSValue

/* A name patch between old Addition RC error codes and current CQ error codes (cqerrors.h) */
#define hszErrMessage			errMessage
#define RC_NO_ERR                               CQ_NO_ERR
#define RC_NO_ERROR                             CQ_NO_ERR
#define RC_SUCCESS                              CQ_SUCCESS                      // same as SUCCESS.
#define RC_IGNORED                              CQ_IGNORED
#define RC_OPERATION_COMPLETE   CQ_OPERATION_COMPLETE   // for occaisions that completion requires a non-zero value.                                                                                    // This cannot be used as an error code.
#define RC_CTOR_INVALID_ARGS    CQ_CTOR_INVALID_ARGS            // 7201: Object constructor failed due to bad args.
#define RC_CTOR_FAILED                  CQ_CTOR_FAILED                                  // 7202: General constructor failure.
#define RC_NEW_FAILED                   CQ_NEW_FAILED,                                  // 7203: a new failed.
#define RC_BAD_OBJECT                   CQ_BAD_OBJECT                                   // 7204: Attempt to use an invalid object.
#define RC_COERCION_FAILED              CQ_COERCION_FAILED                      // 7205: Type coercion failed.
#define RC_NOT_IMPLEMENTED              CQ_NOT_IMPLEMENTED                      // 7206: unction is not currently implemented.
#define RC_BUFFSIZE_TOO_SMALL   CQ_BUFFSIZE_TOO_SMALL                                   // 7207: buffer size is too small.
#define RC_NSF_MEMORY                   CQ_NSF_MEMORY                                           // 7208: Insuffiecient Memory to proceed
#define RC_INVALID_ARGS                 CQ_INVALID_ARGS                                         // 7209: one or more invalid arguments. internal, no # in message.
#define RC_NOT_ENOUGH_ARGS              CQ_NOT_ENOUGH_ARGS                                              // 7210: Not enough arguments supplied.
#define RC_BAD_ARG_PACKET               CQ_BAD_ARG_PACKET                                               // 7211:Improper binary argument packet.
#define RC_SYS_FAILED                   CQ_SYS_FAILED                                                   // 7212:some system operation failed.
#define RC_FAILURE                              CQ_FAILURE                                      // 7212:generalized failure code.
#define RC_DIDNT_HANDLE                 CQ_DIDNT_HANDLE                                         // 7213:operation was not performed.
#define RC_CANT_HANDLE                  CQ_CANT_HANDLE                                          // 7214:operation not performed by this module.
#define RC_INVALID_STATE                CQ_INVALID_STATE                                                // 7215:operation invalid in current module state.
#define RC_RES_NOT_FOUND                CQ_RES_NOT_FOUND                                                // 7216:resource not found
#define RC_CANT_LOAD_ADD                CQ_CANT_LOAD_ADD                                                // 7217:cannot load Addition library
#define RC_ADD_NOT_FOUND                CQ_ADD_NOT_FOUND                                                // 7218:Addition resource not found
#define RC_ADD_INIT_FAILED              CQ_ADD_INIT_FAILED                                              // 7219:Addition nitialization failed
#define RC_INVAL_INT_VER                CQ_INVAL_INT_VER                                                // 7220:Invalid interface version
#define RC_ADDRES_NOT_FOUND             CQ_ADDRES_NOT_FOUND                                     // 7221:Registration resource not found
#define RC_NO_ARGS                              CQ_NO_ARGS                                                      // 7222:No Arguments supplied.
#define RC_INVALID_RC_ARG               CQ_INVALID_CQ_ARG                                               // 7223:invalid argument to command or query. takes arg # in message.
#define RC_ADDN_ERR                             CQ_ADDN_ERR                                                     // 7224:Error returned from the Addition.
#define RC_ADDN_CANT_ERR                CQ_ADDN_CANT_ERR                                                // 7225:Error from the Addition with "Cant" string.
#define RC_PARS_BAD_CMD                 CQ_PARS_BAD_CMD                                         // 7226:Parser can't regognize command
#define RC_PARS_BAD_ARG                 CQ_PARS_BAD_ARG                                         // 7227:Parser can't parse argument list
#define RC_OLD_CMD                              CQ_OLD_CMD                                                      // 7228:Command is no longer supported
#define RC_LAST_ERR                             CQ_LAST_ERR                                                             // Last CQ Error.


/* A name patch between old Addition L-routines and current run-time Library routines */
/* Aldus string routines are now mapped back to standard C routines. */
/* On Windows16, these need to be the FAR (Large model ) versions. */
/* On Windows32, some of these must be blocked out to prevent */
/*  macro redefinition errors with WinBase.h. */
#define lmemcpy memcpy
#define lmemcmp memcmp
#define lmemset memset
#define lstrncpy strncpy
#ifndef WIN32
	#define lstrcpy strcpy
	#define lstrcmp strcmp
	#define lstrlen strlen
	#define lstrcat strcat
#endif
