/***********************************************************
 *PMInterfaceIDs.h
 *
 *	Copyright (C) 1996 Adobe Systems Inc. all rights reserved.
 *
 *		The definitions of PageMaker interface ID
 * $Revision:   1.9  $
 *
 *
 *
 ---------------------------------------------------------*/

#ifndef __PMINTIDS_H
#define __PMINTIDS_H

//	For a new category, add 1000 to the id base
//
#define PMAPPID_BASE			0
#define PMWINID_BASE			1000
#define PMOBJID_BASE			2000

//	Application based interface IDs
#define PMIID_BASIC			PMAPPID_BASE + 0
#define PMIID_XCMDMGR		PMAPPID_BASE + 100
#define PMIID_COMPONENT		PMAPPID_BASE + 101
#define PMIID_PRINT			PMAPPID_BASE + 102
#define PMIID_CMDQRY		PMAPPID_BASE + 103
#define PMIID_PRINTSTREAM	PMAPPID_BASE + 104
#define PMIID_RULEBASE		PMAPPID_BASE + 105
#define PMIID_PMINFO		PMAPPID_BASE + 106
	//
	// HyperContentManager
	//
	//	This ID is used to get an CHcmPlugInRegistry ptr for 
	//	HCM operations.
	//
#define PMIID_HYPERCONTENTMANAGER  PMAPPID_BASE + 107

// Interface for web-based user interface
#define PMIID_WEBUI  PMAPPID_BASE + 108

// Interface for online preference
#define PMIID_ONLINEPREF  PMAPPID_BASE + 109

#define PMIID_FRAME			PMAPPID_BASE + 110 //JSH:Frame
#define PMIID_COLORMGMNT	PMAPPID_BASE + 111	// color management

// Window based interface IDs
#define PMIID_WINSTYLE		PMWINID_BASE + 0
#define PMIID_WINDOW		PMWINID_BASE + 1

//	Object based interface IDs
#define PMIID_PDATA			PMOBJID_BASE + 0
#define PMIID_IMSAVE		PMOBJID_BASE + 1
#define PMIID_OBJACC		PMOBJID_BASE + 2
#define PMIID_IMGACC		PMOBJID_BASE + 3
#define PMIID_TEXT			PMOBJID_BASE + 4
#endif
