/*
 *--- PChange.cpp ---------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 3:57 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PChange.html
 *-------------------------------------------------------------------------
 */

#include "PChange.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PChange::PChange
  (	const char * sFindWhat,
	const char * sChangeTo,
	short cSearchRange,
	PMBool bWrapAround,
	PMBool bMatchCase,
	PMBool bWholeWord,
	PMBool bClearAttr )
{
	PRequestBuf	request(strlen(sFindWhat) + strlen(sChangeTo) + 32);
	
	request << sFindWhat
			<< sChangeTo
			<< cSearchRange
			<< bWrapAround
			<< bMatchCase
			<< bWholeWord
			<< bClearAttr;
	
	PCommand command(pm_change, request);
}

// end of PChange.cpp
