/*
 *--- PDefineMasterPage.cpp -----------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PDefineMasterPage.html
 *-------------------------------------------------------------------------
 */

#include "PDefineMasterPage.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PDefineMasterPage::PDefineMasterPage
  (	const char * sMasterName,
	PMBool	bOverwrite,
	short	bSpread,
	long	xLeftOrInside,
	long	yTop,
	long	xRghtOrOutsd,
	long	yBottom,
	short	nColumns,
	long	xGutter,
	short	nColmnRghtPg,
	long	xGutterRghtPg )
{
	PRequestBuf request(strlen(sMasterName) + 64);
	
	request << sMasterName
			<< bOverwrite
			<< bSpread
			<< xLeftOrInside
			<< yTop
			<< xRghtOrOutsd
			<< yBottom
			<< nColumns
			<< xGutter
			<< nColmnRghtPg
			<< xGutterRghtPg; 
	
	PCommand command(pm_definemasterpage, request);
}

// end of PDefineMasterPage.cpp
