/*
 *--- PFind.cpp -----------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PFind.html
 *-------------------------------------------------------------------------
 */

#include "PFind.h"
#include "PRequestBuf.h"
#include "PCommand.h"


PFind::PFind
  (	const char * sFindWhat,
	short cSearchRange,
	PMBool  bWrapAround,
	PMBool  bMatchCase = false,
	PMBool  bWholeWord = false,
	PMBool  bClearAttr = false)
{
	PRequestBuf request(strlen(sFindWhat) + 16);
	
	request << sFindWhat
			<< cSearchRange
			<< bWrapAround
			<< bMatchCase
			<< bWholeWord
			<< bClearAttr;
	
	PCommand command(pm_find, request);
}

// end of PFind.cpp
