/*
 *--- PImport.cpp ---------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PImport.html
 *-------------------------------------------------------------------------
 */

#include "PImport.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PImport::PImport
  (	const char *	fFilename,
	short			cAsWhat,
	short			bRetain,
	short			bConvert,
	short			bTags,
	short			bRetainCrop )
{
	PRequestBuf request(strlen(fFilename) + 20);

	request << fFilename
			<< cAsWhat
			<< bRetain
			<< bConvert
			<< bTags
			<< bRetainCrop
			<< (short) 0;		// no filters
			
	PCommand command(pm_import, request);
}


PImport::PImport
  (	const char *	fFilename,
	short			cAsWhat,
	short			bRetain,
	short			bConvert,
	short			bTags,
	short			bRetainCrop,
	PRequestBuf&	filters )
{
	PRequestBuf request(strlen(fFilename) + filters.Size() + 50);

	request << fFilename
			<< cAsWhat
			<< bRetain
			<< bConvert
			<< bTags
			<< bRetainCrop
			<< filters;
			
	PCommand command(pm_import, request);
}

// end of PImport.cpp
