/*
 *--- PIndexFormat.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PIndexFormat.html
 *-------------------------------------------------------------------------
 */

#include "PIndexFormat.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PIndexFormat::PIndexFormat
  (	PMBool			bHeadings,
	PMBool			bEmpties,
	short			cFormat,
	const char *	sFollow,
	const char *	sBetPgeNbrs,
	const char *	sBetEntries,
	const char *	sPageRange,
	const char *	sBeforeXRef,
	const char *	sEnd)
{
	PRequestBuf request(strlen(sFollow) + strlen(sBetPgeNbrs)
		+ strlen(sBetEntries) + strlen(sPageRange)
		+ strlen(sBeforeXRef) + strlen(sEnd) + 32);

	request	<< bHeadings
			<< bEmpties
			<< cFormat
			<< sFollow
			<< sBetPgeNbrs
			<< sBetEntries
			<< sPageRange
			<< sBeforeXRef
			<< sEnd;
			
	PCommand command(pm_indexformat, request);
}

// end of PIndexFormat.cpp
