/*
 *--- PLayerOptions.cpp --------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 3:29 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PLayerOptions.html
 *-------------------------------------------------------------------------
 */

#include "PLayerOptions.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const short CUSTOM_COLOR = 27;

PLayerOptions::PLayerOptions(
				const char 	* sLayerName,
				const char 	* sNewName,
				short		nShow,
				short		nLock,
				short		nColorIndex)

{
	long	lRed = 0;
	long	lGreen = 0;
	long	lBlue = 0;
	PRequestBuf request(strlen(sLayerName) + strlen(sNewName) + 22);
	
	
	request << sLayerName
			<< sNewName
			<< nShow
			<< nLock
			<< nColorIndex
			<< lRed
			<< lGreen
			<< lBlue;

	PCommand command(pm_layeroptions, request);
}

PLayerOptions::PLayerOptions(
				const char 	* sLayerName,
				const char 	* sNewName,
				short		nShow,
				short		nLock,
				long		lRed,
				long		lGreen,
				long		lBlue)

{
	short	nColorIndex = CUSTOM_COLOR;
	PRequestBuf request(strlen(sLayerName) + strlen(sNewName) + 22);
	
	
	request << sLayerName
			<< sNewName
			<< nShow
			<< nLock
			<< nColorIndex
			<< lRed
			<< lGreen
			<< lBlue;

	PCommand command(pm_layeroptions, request);
}


// end of PLayerOptions.cpp
