/*
 *--- PLetterSpace.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PLetterSpace.html
 *-------------------------------------------------------------------------
 */

#include "PLetterSpace.h"
#include "PGetLetterSpace.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 6;

PLetterSpace::PLetterSpace(short dLetterMin, short dLetterDesired, short dLetterMax)
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << dLetterMin << dLetterDesired << dLetterMax;
			
	PCommand command(pm_letterspace, request);
}

PLetterSpace::PLetterSpace(const PGetLetterSpace& letterSpace)
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << letterSpace.dLetterMin << letterSpace.dLetterDesired << letterSpace.dLetterMax;
			
	PCommand command(pm_letterspace, request);
}

// end of PLetterSpace.cpp
