/*
 *--- PPageMargins.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPageMargins.html
 *-------------------------------------------------------------------------
 */

#include "PPageMargins.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 18;

PPageMargins::PPageMargins
  (	long	xInside,
	long	yTop,
	long	xOutside,
	long	yBottom,
	PMBool	bAdjustLayout )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << xInside << yTop << xOutside << yBottom << bAdjustLayout;
			
	PCommand command(pm_pagemargins, request);
}

// end of PPageMargins.cpp
