/*
 *--- PParaOptions.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PParaOptions.html
 *-------------------------------------------------------------------------
 */

#include "PParaOptions.h"
#include "PGetParaOptions.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 14;

PParaOptions::PParaOptions
  (	short	bKeepTog,
	short	bColumnBreak,
	short	bPageBreak,
	short	bIncludeTOC,
	short	nKeepWith,
	short	nWidow,
	short	nOrphan )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << bKeepTog
			<< bColumnBreak
			<< bPageBreak
			<< bIncludeTOC
			<< nKeepWith
			<< nWidow
			<< nOrphan;
			
	PCommand command(pm_paraoptions, request);
}


PParaOptions::PParaOptions(PGetParaOptions& option)
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << (short) option.bKeepTog
			<< (short) option.bColumnBreak
			<< (short) option.bPageBreak
			<< (short) option.bIncludeTOC
			<< option.nKeepWith
			<< option.nWidow
			<< option.nOrphan;
			
	PCommand command(pm_paraoptions, request);

}

// end of PParaOptions.cpp
