/*
 *--- PParaSpace.cpp ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PParaSpace.html
 *-------------------------------------------------------------------------
 */

#include "PParaSpace.h"
#include "PGetParaSpace.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 8;

PParaSpace::PParaSpace(long ySpaceBefore, long ySpaceAfter)
{
	long x[2];
	x[0] = ySpaceBefore;
	x[1] = ySpaceAfter;			
	PCommand command(pm_paraspace, x, REQUEST_SIZE);
}

PParaSpace::PParaSpace(const PGetParaSpace& space)
{
	long x[2];
	x[0] = space.nSpaceBefore;
	x[1] = space.nSpaceAfter;			
	PCommand command(pm_paraspace, x, REQUEST_SIZE);
}

// end of PParaSpace.cpp
