/*
 *--- PPickColor.cpp ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPickColor.html
 *-------------------------------------------------------------------------
 */

#include "PPickColor.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PPickColor::PPickColor
  (	const char *	sColorName,
	PMBool			bOverPrint,
	const char *	sPicker,
	const char *	sLibrary,
	const char *	sColor )
{
	PRequestBuf request(strlen(sColorName) + strlen(sPicker) + strlen(sLibrary)
			+ strlen(sColor) + 10);

	request << sColorName
			<< bOverPrint
			<< sPicker
			<< sLibrary
			<< sColor;
			
	PCommand command(pm_pickcolor, request);
}

// end of PPickColor.cpp
