/*
 *--- PPrintOptions.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PPrintOptions.html
 *-------------------------------------------------------------------------
 */

#include "PPrintOptions.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 16;

PPrintOptions::PPrintOptions
  (	short	cScaleType,
	short	nVal,
	short	cDuplex,
	PMBool	bMarks,
	PMBool	bPageInfo,
	short	cTiling,
	long	xOverlap )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << cScaleType
			<< nVal
			<< cDuplex
			<< bMarks
			<< bPageInfo
			<< cTiling
			<< xOverlap;
			
	PCommand command(pm_printoptions, request);
}

// end of PPrintOptions.cpp
