/*
 *--- PResize.cpp ---------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PResize.html
 *-------------------------------------------------------------------------
 */

#include "PResize.h"
#include "PRequestBuf.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 14;

PResize::PResize
  (	short	cHandle,
	long	xLocation,
	long	yLocation,
	PMBool	bProp = false,
	PMBool	bBestSize = false )
{
	char * temp[REQUEST_SIZE];
	PRequestBuf request(temp);

	request << cHandle
			<< xLocation
			<< yLocation
			<< bProp
			<< bBestSize;
			
	PCommand command(pm_resize, request);
}

// end of PResize.cpp
