/*
 *--- PRuleAbove.cpp ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PRuleAbove.html
 *-------------------------------------------------------------------------
 */

#include "PRuleAbove.h"
#include "PRequestBuf.h"
#include "PCommand.h"
#include "PGetRuleAbove.h"

PRuleAbove::PRuleAbove
  (	PMBool			bRuleOn,
	short			cStyle,
	const char *	sLineColor,
	short			cLineWidth,
	long			xLeftIndent,
	long			xRightIndent,
	short			dWeight,
	short			bOpaque,
	short			nLineTint )
{
	PRequestBuf request(strlen(sLineColor) + 64);

	request << bRuleOn
			<< cStyle
			<< sLineColor
			<< cLineWidth
			<< xLeftIndent
			<< xRightIndent
			<< dWeight
			<< bOpaque
			<< nLineTint;
			
	PCommand command(pm_ruleabove, request);
}

PRuleAbove::PRuleAbove(const PGetRuleAbove& ruleInfo)
{
	PRequestBuf request(strlen(ruleInfo.sLineColor) + 64);

	request << ruleInfo.bOnOff
			<< ruleInfo.cLineStyle
			<< ruleInfo.sLineColor
			<< ruleInfo.cLineWidth
			<< ruleInfo.xLeftIndent
			<< ruleInfo.xRightIndent
			<< ruleInfo.dWeight
			<< ruleInfo.bOpaque
			<< ruleInfo.nLineTint;
			
	PCommand command(pm_ruleabove, request);
}

// end of PRuleAbove.cpp
