/*
 *--- PStoryEditPref.cpp --------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PStoryEditPref.html
 *-------------------------------------------------------------------------
 */

#include "PStoryEditPref.h"
#include "PGetStoryEditPref.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PStoryEditPref::PStoryEditPref
  (	PMBool			bDisplayPara,
	PMBool			bDisplayStyle,
	short			dSize,
	const char *	sFont )
{
	PRequestBuf request(strlen(sFont) + 20);

	request << bDisplayPara << bDisplayStyle << dSize << sFont;
			
	PCommand command(pm_storyeditpref, request);
}


PStoryEditPref::PStoryEditPref(const PGetStoryEditPref& sePref)
{
	PRequestBuf request(strlen(sePref.sFont) + 20);

	request << sePref.bDisplayPara << sePref.bDisplayStyle << sePref.dSize << sePref.sFont;
			
	PCommand command(pm_storyeditpref, request);
}

// end of PStoryEditPref.cpp
