/*
 *--- PWordSpace.cpp ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:19 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PWordSpace.html
 *-------------------------------------------------------------------------
 */

#include "PWordSpace.h"
#include "PGetWordSpace.h"
#include "PCommand.h"

const size_t REQUEST_SIZE = 6;

PWordSpace::PWordSpace(short dWordMin, short dWordDesired, short dWordMax)
{
	short x[3];
	x[0] = dWordMin;
	x[1] = dWordDesired;
	x[2] = dWordMax;
	
	PCommand command(pm_wordspace, x, REQUEST_SIZE);
}

PWordSpace::PWordSpace(const PGetWordSpace& wordSpace)
{
	short x[3];
	x[0] = wordSpace.dWordMin;
	x[1] = wordSpace.dWordDesired;
	x[2] = wordSpace.dWordMax;
	
	PCommand command(pm_wordspace, x, REQUEST_SIZE);

}
// end of PWordSpace.cpp
