/*
 *--- PCL.h ----------------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 *
 * This contains all the PCL header files together.
 *--------------------------------------------------------------
 */

#ifndef __PCL__
#define __PCL__

#ifdef __MWERKS__
#pragma once
#endif

// #include "PKeywords.h"	// most plug-ins won't need low level classes
// #include "PCallback.h"
// #include "PCommand.h"
// #include "PQuery.h"
// #include "PListMom.h"

// Command classes
#include "PPluginCall.h"
#include "PReplyBuf.h"
#include "PRequestBuf.h"
#include "PAddition.h"
#include "PAddWord.h"
#include "PAlignment.h"
#include "PBlackAttributes.h"
#include "PBook.h"
#include "PBoolCommand.h"
#include "PBox.h"
#include "PCase.h"
#include "PChange.h"
#include "PChangeAll.h"
#include "PChangeParaAttr.h"
#include "PChangeTypeAttr1.h"
#include "PChangeTypeAttr2.h"
#include "PClose.h"
#include "PColor.h"
#include "PColumnGuides.h"
#include "PCreateIndex.h"
#include "PCreateTOC.h"
#include "PCrop.h"
#include "PDefineColor.h"
#include "PDefineInk.h"
#include "PDefineMasterPage.h"
#include "PDeletePrivateData.h"
#include "PExport.h"
#include "PFillAndLine.h"
#include "PFillStyle.h"
#include "PFind.h"
#include "PFindParaAttr.h"
#include "PFindTypeAttr1.h"
#include "PFindTypeAttr2.h"
#include "PFontDrawing.h"
#include "PHyphenation.h"
#include "PImport.h"
#include "PIndents.h"
#include "PIndexFormat.h"
#include "PInkND.h"
#include "PInsertPages.h"
#include "PLetterSpace.h"
#include "PLine.h"
#include "PLineStyle.h"
#include "PLinkOptions.h"
#include "PLongCommand.h"
#include "PMasterPage.h"
#include "PManualKerning.h"
#include "PMeasureUnits.h"
#include "PMove.h"
#include "PMoveColumn.h"
#include "PMultiplePaste.h"
#include "PMultPasteOffset.h"
#include "PNewStory.h"
#include "PNewStorySized.h"
#include "PNudge.h"
#include "PNullCommand.h"
#include "POpen.h"
#include "POval.h"
#include "PPage.h"
#include "PPageMargins.h"
#include "PPageNumbers.h"
#include "PPageOptions.h"
#include "PPageSize.h"
#include "PPaintWindow.h"
#include "PParaOptions.h"
#include "PParaSpace.h"
#include "PPasteSpecial.h"
#include "PPickColor.h"
#include "PPlace.h"
#include "PPlaceSized.h"
#include "PPolygon.h"
#include "PPolygonAttribs.h"
#include "PPreferences.h"
#include "PPrint.h"
#include "PPrintColor.h"
#include "PPrintDoc.h"
#include "PPrintFeature.h"
#include "PPrintInk.h"
#include "PPrintOptions.h"
#include "PPrintOptionsPS.h"
#include "PPrintPaperPS.h"
#include "PPrintTo.h"
#include "PPrivateData.h"
#include "PPrivateString.h"
#include "PReflect.h"
#include "PRemovePages.h"
#include "PRemoveUnusedColors.h"
#include "PRemoveWord.h"
#include "PRenameMasterPage.h"
#include "PResize.h"
#include "PResizePct.h"
#include "PRevert.h"
#include "PRotate.h"
#include "PRuleAbove.h"
#include "PRuleBelow.h"
#include "PRuleOptions.h"
#include "PSaveAs.h"
#include "PSaveAsMasterPage.h"
#include "PScroll.h"
#include "PSelect.h"
#include "PSelectExtend.h"
#include "PSendToPage.h"
#include "PSetTextCursor.h"
#include "PShortCommand.h"
#include "PSizeBump.h"
#include "PSkew.h"
#include "PSpaceOptions.h"
#include "PSpell.h"
#include "PStoryEditPref.h"
#include "PStringCommand.h"
#include "PSuppressPalDraw.h"
#include "PTabs.h"
#include "PTextCursor.h"
#include "PTextSelect.h"
#include "PTextWrap.h"
#include "PTextWrapPoly.h"
#include "PTool.h"
#include "PTrack.h"
#include "PTrapSettings.h"
#include "PTypeOptions.h"
#include "PWindow.h"
#include "PWordSpace.h"

// Query classes
#include "PBoolQuery.h"
#include "PGetAdditions.h"
#include "PGetAdditionsDir.h"
#include "PGetBlackAttributes.h"
#include "PGetBook.h"
#include "PGetChangeParaAttr.h"
#include "PGetChangeTypeAttr1.h"
#include "PGetChangeTypeAttr2.h"
#include "PGetColor.h"
#include "PGetColorInfo.h"
#include "PGetColumnGuides.h"
#include "PGetConvertStr.h"
#include "PGetConvertTwips.h"
#include "PGetExportFilters.h"
#include "PGetFillAndLine.h"
#include "PGetFindParaAttr.h"
#include "PGetFindTypeAttr1.h"
#include "PGetFindTypeAttr2.h"
#include "PGetFontDrawing.h"
#include "PGetFontList.h"
#include "PGetHorizGuides.h"
#include "PGetHyphenation.h"
#include "PGetImageFrame.h"
#include "PGetImportFilters.h"
#include "PGetIndents.h"
#include "PGetInkND.h"
#include "PGetLetterSpace.h"
#include "PGetLineBreak.h"
#include "PGetLineBreakLoc.h"
#include "PGetLineStyle.h"
#include "PGetLinkInfo.h"
#include "PGetLinkOptions.h"
#include "PGetLinks.h"
#include "PGetMasterPage.h"
#include "PGetMasterPageInfo.h"
#include "PGetMasterPageList.h"
#include "PGetMasterPageName.h"
#include "PGetMeasureUnits.h"
#include "PGetMultPasteOffset.h"
#include "PGetObjectIDInfo.h"
#include "PGetObjectInfo.h"
#include "PGetObjectLoc.h"
#include "PGetPageID.h"
#include "PGetPageImage.h"
#include "PGetPageMargins.h"
#include "PGetPageNumber.h"
#include "PGetPageNumberByID.h"
#include "PGetPageNumbers.h"
#include "PGetPageOptions.h"
#include "PGetPageSize.h"
#include "PGetParaOptions.h"
#include "PGetParaSpace.h"
#include "PGetPickers.h"
#include "PGetPMInfo.h"
#include "PGetPolygonAttribs.h"
#include "PGetPPDFontLocation.h"
#include "PGetPreferences.h"
#include "PGetPrintCaps.h"
#include "PGetPrintColor.h"
#include "PGetPrintDoc.h"
#include "PGetPrinter.h"
#include "PGetPrintFeature.h"
#include "PGetPrintFeatureItems.h"
#include "PGetPrintInk.h"
#include "PGetPrintOptions.h"
#include "PGetPrintOptionsPS.h"
#include "PGetPrintPaperPS.h"
#include "PGetPrintTo.h"
#include "PGetPrivateData.h"
#include "PGetPrivateList.h"
#include "PGetPrivateString.h"
#include "PGetPubWindowRect.h"
#include "PGetPubWindows.h"
#include "PGetRuleAbove.h"
#include "PGetRuleBelow.h"
#include "PGetRuleOptions.h"
#include "PGetSpaceOptions.h"
#include "PGetStoryEditPref.h"
#include "PGetStoryIDList.h"
#include "PGetStoryList.h"
#include "PGetStoryText.h"
#include "PGetSuppressPalDraw.h"
#include "PGetTabs.h"
#include "PGetTextCursor.h"
#include "PGetTextLocation.h"
#include "PGetTextRun.h"
#include "PGetTextWrap.h"
#include "PGetTextWrapPoly.h"
#include "PGetTOCIndexID.h"
#include "PGetTransform.h"
#include "PGetTrapSettings.h"
#include "PGetTypeOptions.h"
#include "PGetTypeStyle.h"
#include "PGetVertGuides.h"
#include "PGetWordSpace.h"
#include "PGetZeroPoint.h"
#include "PHandleQuery.h"
#include "PListQuery.h"
#include "PLongQuery.h"
#include "PRectQuery.h"
#include "PShortQuery.h"
#include "PStringListQuery.h"
#include "PStringQuery.h"
#include "PTextBlock.h"

#endif

// end of PCL.h

