/*
 *--- PBoolQuery.h ---------------------------------------------
 * Copyright (c) 1995 Adobe Systems, Inc.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:06 PM by Paul Ferguson.
 *
 * Description:
 *--------------------------------------------------------------
 */
#ifndef __PBoolQuery__
#define __PBoolQuery__

#include "PQuery.h"

template <ePMQuery QUERY>
class PBoolQuery
{

public:

	PBoolQuery() { PQuery query(QUERY, itsBool); }
	virtual ~PBoolQuery() {}

	operator const PMBool() const { return itsBool; }

protected:

	PMBool itsBool;
};

typedef PBoolQuery<pm_getautoflow>				PGetAutoflow;
typedef PBoolQuery<pm_getchangewindow>			PGetChangeWindow;
// Rememeber the following two lines???? :-)
//typedef PBoolQuery<pm_getcolorpanel>			PGetColorPanel;
typedef PBoolQuery<pm_getcolorpalette>			PGetColorPalette;
typedef PBoolQuery<pm_getcontrolpalette>		PGetControlPalette;
typedef PBoolQuery<pm_getdisplaynonprinting>	PGetDisplayNonPrinting;
typedef PBoolQuery<pm_getdisplayspecial>		PGetDisplaySpecial;
typedef PBoolQuery<pm_getdisplaystylenames>		PGetDisplayStyleNames;
typedef PBoolQuery<pm_getfindwindow>			PGetFindWindow;
typedef PBoolQuery<pm_getguides>				PGetGuides;
typedef PBoolQuery<pm_getlockguides>			PGetLockGuides;
typedef PBoolQuery<pm_getmasteritems>			PGetMasterItems;
// Rememeber the following two lines???? :-)
//typedef PBoolQuery<pm_getmasterpagepanel>		PGetMasterPagePanel;
typedef PBoolQuery<pm_getmasterpagepalette>		PGetMasterPagePalette;
typedef PBoolQuery<pm_getnonprinting>			PGetNonPrinting;
typedef PBoolQuery<pm_getprintepspreviews>		PGetPrintEPSPreviews;
typedef PBoolQuery<pm_getprintps>				PGetPrintPS;
typedef PBoolQuery<pm_getprintscreenrgbs>		PGetPrintScreenRGBs;
typedef PBoolQuery<pm_getrulers>				PGetRulers;
typedef PBoolQuery<pm_getscrollbars>			PGetScrollbars;
typedef PBoolQuery<pm_getshowerroralert>		PGetShowErrorAlert;
typedef PBoolQuery<pm_getsnaptoguides>			PGetSnapToGuides;
typedef PBoolQuery<pm_getsnaptorulers>			PGetSnapToRulers;
typedef PBoolQuery<pm_getspellwindow>			PGetSpellWindow;
// Rememeber the following two lines???? :-)
//typedef PBoolQuery<pm_getstylepanel>			PGetStylePanel;
typedef PBoolQuery<pm_getstylepalette>			PGetStylePalette;
typedef PBoolQuery<pm_getsuppressautosave>		PGetSuppressAutosave;
typedef PBoolQuery<pm_gettoolbox>				PGetToolbox;
typedef PBoolQuery<pm_getzerolock>				PGetZeroLock;

#endif

// end of PBoolQuery.h
