/*
 *--- PGetColorInfo.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sat, Oct 21, 1995 @ 8:58 AM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetColorInfo.html
 *-------------------------------------------------------------------------
 */

#include "PGetColorInfo.h"
#include "PQuery.h"
#include "PRequestBuf.h"
#include "PReplyBuf.h"

PGetColorInfo::PGetColorInfo(short cModel, const char * sColorName)
: PListQuery()
{
	PRequestBuf request(strlen(sColorName) + 4);
	
	request	<< cModel
			<< sColorName;
	
	PQuery query(pm_getcolorinfo, request, itsHandle);
	InitHandle();
	InitCount();		// Initializes number of inks and other fields
}

void PGetColorInfo::InitCount()
{
	PReplyBuf reply(replyPtr);
	
	reply 	>> nPercent1
			>> nPercent2
			>> nPercent3
			>> nPercent4
			>> cType
			>> nEPS
			>> bOverprint
			>> &sBaseColor
			>> cDefinedModel;
	listMom = (const char *) reply;		// reinitialize the list mom.
}

void PGetColorInfo::Scan()
{
	PReplyBuf reply(listMom.Current());
	
	reply >> &sInkName >> dInkLevel;
	
	listMom.Update(reply);
}

// end of PGetColorInfo.cpp
