/*
 *--- PGetLayerOptions.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sat, Oct 21, 1995 @ 8:58 AM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * header file PGetColorInfo.h
 *-------------------------------------------------------------------------
 */

#include "PGetLayerOptions.h"
#include "PQuery.h"
#include "PRequestBuf.h"
#include "PReplyBuf.h"

PGetLayerOptions::PGetLayerOptions(const char * sLayerName)
:PHandleQuery()
{
	PRequestBuf request(strlen((const char *)sLayerName) + 2);

	request	<< sLayerName;
	
	PQuery query(pm_getlayeroptions, request, itsHandle);
	InitHandle();
	InitReply();	
}

void PGetLayerOptions::InitReply()
{
	PReplyBuf reply(replyPtr);
	
	reply 	>> nShow
			>> nLock
			>> nColorIndex
			>> lRed
			>> lGreen
			>> lBlue;
			
}

// end of PGetLayerOptions.cpp
