/*
 *--- PGetLinkOptions.cpp -------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetLinkOptions.html
 *-------------------------------------------------------------------------
 */

#include "PGetLinkOptions.h"
#include "PQuery.h"
#include "PReplyBuf.h"
#include "PRequestBuf.h"

const size_t REPLY_SIZE = 10;

PGetLinkOptions::PGetLinkOptions(PMBool bDefault)
{
	char temp[2];
	PRequestBuf request(temp);
	request << bDefault;
	
	char replyBuf[REPLY_SIZE];
	PQuery query(pm_getlinkoptions, request, replyBuf, REPLY_SIZE);
	
	PReplyBuf reply(replyBuf);
	
	reply	>> bTextUpdate
			>> bTextAlert
			>> bImageStore
			>> bImageUpdate
			>> bImageAlert;
}

// end of PGetLinkOptions.cpp
