/*
 *--- PGetMasterPageInfo.cpp ----------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetMasterPageInfo.html
 *-------------------------------------------------------------------------
 */

#include "PGetMasterPageInfo.h"
#include "PQuery.h"
#include "PReplyBuf.h"
#include "PRequestBuf.h"

PGetMasterPageInfo::PGetMasterPageInfo(const char * sMasterName)
{
	char temp[36];
	
	PRequestBuf request(strlen(sMasterName) + 2);
	
	request << sMasterName;
	
	PQuery query(pm_getmasterpageinfo, request, temp, 32);

	PReplyBuf reply(temp);
	
	reply	>> bSpread
			>> xLeftOrInside
			>> yTop
			>> xRghtOrOutsd
			>> yBottom
			>> nColumns
			>> xGutter
			>> nColmnRghtPg
			>> xGutterRghtPg;
}

// end of PGetMasterPageInfo.cpp
