/*
 *--- PGetObjectIDInfo.cpp ------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetObjectIDInfo.html
 *-------------------------------------------------------------------------
 */

#include "PGetObjectIDInfo.h"
#include "PQuery.h"
#include "PRequestBuf.h"
#include "PReplyBuf.h"

PGetObjectIDInfo::PGetObjectIDInfo()
: PListQuery()
{

}

PGetObjectIDInfo::PGetObjectIDInfo(ePMQuery op)
: PListQuery(op)
{
	Scan();
}

void PGetObjectIDInfo::Scan()
{
	PReplyBuf reply(listMom.Current());

	reply	>>	nObjectID
			>>	nMaskID
			>>	nGroupID
			>>	nDrawNumber
			>>	cTypeOfObject
			>>	bTransformed
			>>	bLinked
			>>	xLeftOrStart
			>>	yTopOrStart
			>>	xRightOrEnd
			>>	yBottomOrEnd
			>>	xRightOrStart
			>>	yTopOrStart2
			>>	xLeftOrEnd
			>>	yBotOrEnd2;

	listMom.Update(reply);
}


PGetGroupList::PGetGroupList(unsigned long nGroupID)
: PGetObjectIDInfo()
{
	long x;
	PRequestBuf request(&x);
	request << nGroupID;
	
	PQuery query(pm_getgrouplist, request, itsHandle);
	InitHandle();
	InitListMom();
	Scan();
}

// end of PGetObjectIDInfo.cpp
