/*
 *--- PGetObjectIDInfo.h --------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description: This file contains templates for the queries
 * that return a list of object ID information.  These queries
 * are:
 *
 *	PGetObjectIDList
 *	PGetObjectIDListTop
 *	PGetSelectIDList
 *	PGetSelectIDListTop
 *	PGetGroupList (a special case because of its parameter)
 *-------------------------------------------------------------------------
 */
#ifndef __PGetObjectIDInfo__
#define __PGetObjectIDInfo__

#include "PListQuery.h"

class PGetObjectIDInfo : public PListQuery
{

public:

	unsigned long	nObjectID;
	unsigned long	nMaskID;
	unsigned long	nGroupID;
	short			nDrawNumber;
	short			cTypeOfObject;
	short			bTransformed;
	short			bLinked;
	long			xLeftOrStart;
	long			yTopOrStart;
	long			xRightOrEnd;
	long			yBottomOrEnd;
	long			xRightOrStart;
	long			yTopOrStart2;
	long			xLeftOrEnd;
	long			yBotOrEnd2;
	
protected:
	PGetObjectIDInfo();
	PGetObjectIDInfo(ePMQuery op);

	virtual void	Scan();
};

template <ePMQuery QUERY>
class PGetObjID : public PGetObjectIDInfo
{

public:

	PGetObjID() : PGetObjectIDInfo(QUERY) { }
};
	
typedef PGetObjID<pm_getobjectidlist>		PGetObjectIDList;
typedef PGetObjID<pm_getobjectidlisttop>	PGetObjectIDListTop;
typedef PGetObjID<pm_getselectidlist>		PGetSelectIDList;
typedef PGetObjID<pm_getselectidlisttop>	PGetSelectIDListTop;

class PGetGroupList : public PGetObjectIDInfo
{

public:

	PGetGroupList(unsigned long nGroupID);

private:

	PGetGroupList();
};

#endif

// end of PGetObjectIDInfo.h
