/*
 *--- PGetPMInfo.cpp ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetPMInfo.html
 *-------------------------------------------------------------------------
 */

#include "PGetPMInfo.h"
#include "PReplyBuf.h"

PGetPMInfo::PGetPMInfo()
: PListQuery(pm_getpminfo)
{
	PReplyBuf reply(replyPtr);
	
	reply	>> &sPageMakerVer
			>> &sFileSystemVer
			>> &sVMVer
			>> &sImageLibVer;
		
	listMom = (const char *) reply;
	
	Scan();
}

void PGetPMInfo::Scan()
{
	PReplyBuf reply(listMom.Current());
	
	reply	>> &sLanguage
			>> &sDictionary;
	
	listMom.Update(reply);
}

// end of PGetPMInfo.cpp
