/*
 *--- PGetPrivateList.h ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:06 PM by Paul Ferguson.
 *
 * Description:  This is the base class for query classes that
 * consist of a count field (short) in the first two bytes,
 * followed by that number of fixed or variable length records.
 *-------------------------------------------------------------------------
 */
#ifndef __PGetPrivateList__
#define __PGetPrivateList__

#include "PListQuery.h"

class PGetPrivateList : public PListQuery
{

public:

	PGetPrivateList
	  (	const char * sDeveloperID,
		const char * sPluginID,
		short cTargetClass,
		unsigned long nTypeFlag,
		unsigned long nTargetID );

	const char *	devID;
	const char *	pluginID;
	short			targetClass;
	unsigned long	typeFlag;
	unsigned long	targetID;
	short			cPlatform;
	unsigned long	nSize;
		
private:

	PGetPrivateList();
	virtual void Scan();
};

#endif

// end of PGetPrivateList.h

