/*
 *--- PGetTextLocation.cpp ------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetTextLocation.html
 *-------------------------------------------------------------------------
 */

#include "PGetTextLocation.h"
#include "PQuery.h"
#include "PReplyBuf.h"

const size_t REPLY_SIZE = 17 * 4;

PGetTextLocation::PGetTextLocation()
{
	char temp[REPLY_SIZE];
	
	PQuery query(pm_gettextlocation, temp, REPLY_SIZE);
	PReplyBuf reply(temp);
	
	reply	>>	nObjectID
			>>	xAnchorBottom
			>>	yAnchorBottom
			>>	xAnchorTop
			>>	yAnchorTop
			>>	xRightTop
			>>	yRightTop
			>>	xRightBottom
			>>	yRightBottom
			>>	xRangeEndTop
			>>	yRangeEndTop
			>>	xRangeEndBottom
			>>	yRangeEndBottom
			>>	xLeftBottom
			>>	yLeftBottom
			>>	xLeftTop
			>>	yLeftTop;	
}

// end of PGetTextLocation.cpp
