/*
 *--- PGetTextRun.cpp -----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetTextRun.html
 *-------------------------------------------------------------------------
 */

#include "PGetTextRun.h"
#include "PQuery.h"
#include "PReplyBuf.h"
#include "PRequestBuf.h"

const size_t REPLY_SIZE = 4 * sizeof (long);

PGetTextRun::PGetTextRun(long nRunStyle)
{
	char req[4];
	char temp[REPLY_SIZE];
	
	PRequestBuf request(req);
	
	request << nRunStyle;

	PQuery query(pm_gettextrun, request, temp, REPLY_SIZE);

	PReplyBuf reply(temp);
	
	reply	>> nStoryID
			>> nBegin
			>> nEnd
			>> nReason;
}

// end of PGetTextRun.cpp
