/*
 *--- PGetTrapSettings.cpp ------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetTrapSettings.html
 *-------------------------------------------------------------------------
 */

#include "PGetTrapSettings.h"
#include "PQuery.h"
#include "PReplyBuf.h"

const size_t REPLY_SIZE = 18;		// two longs, four shorts

PGetTrapSettings::PGetTrapSettings()
{
	char temp[REPLY_SIZE];
	
	PQuery query(pm_gettrapsettings, temp, REPLY_SIZE);
	PReplyBuf reply(temp);
	
	reply 	>>	bEnable
			>>	xDefWidth
			>>	xBlackWidth
			>>	dStepLimit
			>>	dCentThresh
			>>	dTextLimit
			>>	bTrapOverImp;
}

// end of PGetTrapSettings.cpp
