/*
 *--- PGetTypeOptions.cpp -------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetTypeOptions.html
 *-------------------------------------------------------------------------
 */

#include "PGetTypeOptions.h"
#include "PQuery.h"
#include "PReplyBuf.h"

const size_t REPLY_SIZE = 12;		// six shorts

PGetTypeOptions::PGetTypeOptions()
{
	char temp[REPLY_SIZE];
	
	PQuery query(pm_gettypeoptions, temp, REPLY_SIZE);
	PReplyBuf reply(temp);
	
	reply	>>	nSmallCapSize
			>>	nSuperSubSize
			>>	nSuperPos
			>>	sSubPos
			>>	dBaseline
			>>	bDirection;
}

// end of PGetTypeOptions.cpp
