/*
 *--- PListQuery.cpp ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:00 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PListQuery.html
 *-------------------------------------------------------------------------
 */

#include "PListQuery.h"

/*
 *--- PListQuery -----------------------------------------------
 * This constructor initializes the numItems and pointer
 * past the numItems field.
 *-------------------------------------------------------------------------
 */

PListQuery::PListQuery(ePMQuery query)
: PHandleQuery(query)
{
	InitListMom();
}

/*
 *--- InitListMom ----------------------------------------------
 * Default behavior.  If a query has any fixed fields before
 * the list begins, it must override this function, or
 * otherwise set the list mom correctly before use.
 *
 * If your subclass calls the default PListQuery constructor,
 * you MUST call InitHandle() and InitListMom() in your
 * constructor.
 *-------------------------------------------------------------------------
 */

void PListQuery::InitListMom()
{
	if (itsHandle && replyPtr)
	{
		listMom = replyPtr;
	}
}

// end of PListQuery.cpp
