/*
 *--- PListQuery.h --------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:06 PM by Paul Ferguson.
 *
 * Description:  This is the base class for query classes that
 * consist of a count field (short) in the first two bytes,
 * followed by that number of fixed or variable length records.
 *-------------------------------------------------------------------------
 */
#ifndef __PListQuery__
#define __PListQuery__

#ifdef __MWERKS__
#pragma once
#endif

#include "PHandleQuery.h"

#include "PListMom.h"
 
class PListQuery : public PHandleQuery
{

public:

	PListQuery() {};
	PListQuery(ePMQuery query);

	short Count() const { return listMom.Count(); }
	void Reset() { listMom.Reset(); Scan(); }
	void operator++(int) { Scan(); }
	
protected:

	PListMom	listMom;			// keeps track of the list of items
	
	void InitListMom();

	virtual void Scan() = 0;		// every subclass must implement
};

#endif

// end of PListQuery.h
