/*
 *--- PShortQuery.h -------------xxxxxxxxxxxxxxxxxxxxxxxxxxfxxx------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:06 PM by Paul Ferguson.
 *
 * Description:
 *-------------------------------------------------------------------------
 */
#ifndef __PShortQuery__
#define __PShortQuery__

#include "PQuery.h"

class PShortQuery
{
public:

	operator const short() const { return itsShort; }

protected:

	PShortQuery() {}
	PShortQuery(ePMQuery op) { PQuery q(op, itsShort); }
	short itsShort;
};



template <ePMQuery QUERY>
class PShorty : public PShortQuery
{

public:

	PShorty() : PShortQuery(QUERY) {}
};


typedef PShorty<pm_getalignment>		PGetAlignment;
typedef PShorty<pm_getcase>				PGetCase;
typedef PShorty<pm_getfillstyle>		PGetFillStyle;
typedef PShorty<pm_gethyperlinkpalette>	PGetHyperLinksPalette;
typedef PShorty<pm_getkerntext>			PGetKernText;
typedef PShorty<pm_getlasterror>		PGetLastError;
typedef PShorty<pm_getlayerpalette>		PGetLayerPalette;
typedef PShorty<pm_getleading>			PGetLeading;
typedef PShorty<pm_getlock>				PGetLock;
typedef PShorty<pm_getnobreak>			PGetNoBreak;
typedef PShorty<pm_getpages>			PGetPages;
typedef PShorty<pm_getpasteremembers>	PGetPasteRemembers;
typedef PShorty<pm_getpmstate>			PGetPMState;
typedef PShorty<pm_getpolygonmiterlimit>	PGetPolygonMiterLimit;
typedef PShorty<pm_getpolygontype>		PGetPolygonType;
typedef PShorty<pm_getprinterresol>		PGetPrinterResol;
typedef PShorty<pm_getroundedcorners>	PGetRoundedCorners;
typedef PShorty<pm_getsavestatus>		PGetSaveStatus;
typedef PShorty<pm_getsize>				PGetSize;
typedef PShorty<pm_gettint>				PGetTint;
typedef PShorty<pm_gettool>				PGetTool;
typedef PShorty<pm_gettrack>			PGetTrack;
typedef PShorty<pm_gettypeposition>		PGetTypePosition;
typedef PShorty<pm_getview>				PGetView;
typedef PShorty<pm_getwidth>			PGetWidth;

#endif

// end of PShortQuery.h
