/*
 *--- PStringQuery.h ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:43 PM by Paul Ferguson.
 *
 * Description: This contains an template class for queries that return a
 * single string, with no request parameters.
 *-------------------------------------------------------------------------
 */
#ifndef __PStringQuery__
#define __PStringQuery__

#include "PHandleQuery.h"


class PStringQuery : public PHandleQuery
{

public:

	PStringQuery() {}
	PStringQuery(ePMQuery op) : PHandleQuery(op) {}
	operator const char *() { return replyPtr; }
};


template <ePMQuery QUERY>
class PStringy : public PStringQuery
{

public:

	PStringy() : PStringQuery(QUERY) { }
};

typedef PStringy<pm_getdefaultprintclrspc> PGetDefaultPrintClrSpc;
typedef PStringy<pm_getbasedon>			PGetBasedOn;
typedef PStringy<pm_getdefaultdir>		PGetDefaultDir;
typedef PStringy<pm_getdictionary>		PGetDictionary;
typedef PStringy<pm_getfont>			PGetFont;
typedef PStringy<pm_getlasterrorstr>	PGetLastErrorStr;
typedef PStringy<pm_getnextstyle>		PGetNextStyle;
typedef PStringy<pm_getpmlanguage>		PGetPMLanguage;
typedef PStringy<pm_getpubname>			PGetPubName;
typedef PStringy<pm_getspellresult>		PGetSpellResult;
typedef PStringy<pm_getstyle>			PGetStyle;
typedef PStringy<pm_gettargetlayer>		PGetTargetLayer;

#endif

// end of PStringQuery.h
