/*
 *--- PTextBlock.h --------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description: This class is used by PGetStoryIDList and PGetStoryList to
 * manage the text block list that is part of the data returned by these
 * queries. 
 *-------------------------------------------------------------------------
 */
#ifndef __PTextBlock__
#define __PTextBlock__

#include "PListQuery.h"

class PTextBlock : public PListQuery
{

public:

	PTextBlock();


	PTextBlock & operator=(const char *);
	const char * End();			// points to byte past list.
	
	short	nPageNumber;
	long	xLeftTop;
	long	yLeftTop;
	long	xRightBottom;
	long	yRightBottom;
	short	nNumChars;

private:

	const char * itemsStart;		// used by End()
	
	virtual void Scan();
};

#endif

// end of PTextBlock.h
